
EclaireXL - Bug #34

Problem booting with Core 9

06/03/2017 12:49 AM - ndary

Status: Closed Start date: 06/03/2017

Priority: Normal Due date:  

Assignee: foft % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

upgraded successfully to core 9

but when powering on the board, the ExclairXL boot one out of six times..

when it does not boot i get a message on the screen "image out of range" on my VGA screen and no Signal on HDMI

Switched back to CORE8 and could power OFF/ON the EclairXL to boot every time

Nir

Related issues:

Related to Bug #17: NTSC crashing on some builds Closed 05/12/2017

Related to Feature #2: PBI support Closed 04/04/2017

Related to Bug #39: Internal turbo freezer crashes on v9 Closed 06/03/2017

History

#1 - 06/03/2017 07:12 AM - foft

- Related to Bug #17: NTSC crashing on some builds added

#2 - 06/03/2017 07:31 AM - foft

Its either board-board instability due to small timing differences or the new input pins I guess.

Can you check the voltage on these pins on PBI? They should all be 5V, I'm wondering if some are not pulled up. I guess I need to double check I put

the correct pin for them in the .qsf file too!

PBI_EXTSEL_N :  IN  STD_LOGIC;

PBI_MPD_N :  IN  STD_LOGIC;

PBI_REF_N :  IN  STD_LOGIC;

PBI_IRQ_N :  IN  STD_LOGIC;

https://en.wikipedia.org/wiki/Parallel_Bus_Interface

#3 - 06/03/2017 08:20 AM - foft

Though thinking some more if you get 'no sync' then that is before all the new logic starts, so more likely the build-build instability on some boards

only.

#4 - 06/03/2017 06:41 PM - foft

- Related to Feature #2: PBI support added

#5 - 06/03/2017 09:58 PM - foft

- Related to Bug #39: Internal turbo freezer crashes on v9 added

#6 - 06/04/2017 09:22 AM - foft

One thing to try, can you see if it's the same with a few different power supplies?

#7 - 06/04/2017 12:45 PM - ndary

i did with same result, can anyone else confirm that core 9 works on on his v2 board?

Nir

07/12/2025 1/2

https://en.wikipedia.org/wiki/Parallel_Bus_Interface


#8 - 06/04/2017 01:20 PM - foft

Thanks for checking Nir. I guess it must be on the 'edge' and thus some boards work and not others. Its working well here, until I run Numen or try to

use the internal freezer. They are real logic bugs though rather than a stability thing.

#9 - 06/05/2017 03:23 PM - Stephen

ndary wrote:

i did with same result, can anyone else confirm that core 9 works on on his v2 board?

Nir

 Just wanted to say that so far core9 has been working fine for me.

#10 - 06/11/2017 03:09 PM - ndary

- Status changed from New to Closed

this happen on every core after flashing, to solve it i simply remove and put back the SD Card and it works
